%define source  1.3-31

Summary:     Linux system and kernel logger
Name:        sysklogd
Version:     1.3.31
Release:     1
Group:       Daemons
Copyright:   GPL
Packager:    Hao Li <hli@wag.caltech.edu>
Source0:     ftp://sunsite.unc.edu/pub/Linux/system/daemons/%{name}-%{source}.tar.gz
Source1:     syslog.conf.rhs
Source2:     syslog.init
Source3:     syslog.log
Patch0:      sysklogd-1.3-31-version.patch
Patch1:      sysklogd-1.3-utmp-process.patch
Requires:    logrotate
BuildRoot:   /var/tmp/%{name}-root

%description
This is the Linux system and kernel logging program. It is run
as a daemon (background process) to log messages to different
places. These are usually things like sendmail logs, security
logs, and errors from other daemons.


%prep
%setup -q -n %{name}-%{source}
%patch0 -p1
%patch1 -p1


%build
make


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/{etc/{logrotate.d,rc.d/init.d},usr/{man/man{5,8},sbin}}
perl -pi -e 's|\${INSTALL} -o \${MAN_OWNER} -g \${MAN_OWNER}|\${INSTALL}|' \
	Makefile
make BINDIR=$RPM_BUILD_ROOT/usr/sbin MANDIR=$RPM_BUILD_ROOT/usr/man install
install -m644 %{SOURCE1} $RPM_BUILD_ROOT/etc/syslog.conf
install -m755 %{SOURCE2} $RPM_BUILD_ROOT/etc/rc.d/init.d/syslog
install -m644 %{SOURCE3} $RPM_BUILD_ROOT/etc/logrotate.d/syslog
 
strip $RPM_BUILD_ROOT/usr/sbin/* ||:


%post
/sbin/chkconfig --add syslog

%preun
if [ $1 = 0 ]; then
   /sbin/chkconfig --del syslog
fi


%files
%defattr(-,root,root)
%doc debian/changelog ANNOUNCE README* NEWS INSTALL
%config /etc/syslog.conf
%config /etc/logrotate.d/syslog
%config /etc/rc.d/init.d/syslog
/usr/man/*/*
/usr/sbin/*


%clean
rm -rf $RPM_BUILD_ROOT


%changelog
* Fri Mar  5 1999 Hao Li <hli@wag.caltech.edu>
- sysklogd-1.3.31-1. Initial RPM.
- Notice the line below in syslog.init (installed as /etc/rc.d/init.d/syslog):
	killproc klogd -TERM; usleep 1000000
  I used this rather than just "killproc klogd" because in Terminate()
  in klogd.c there is a "sleep(1);" which means after terminating signal is 
  received the daemon will quit one second later. This confuses killproc()
  in /etc/rc.d/init.d/functions because killproc() checks if klogd process 
  is still alive only 100000 microseconds (0.1 second) after -TERM signal
  is sent to the process, and it finds this to be true. So it sends a -KILL
  signal to it again, then kill reports "xxxxx: No such process". This fix
  gets rid of this annoying message.
